Bug 277621 - in dialog window moving focus from Button to text causes text to be highlighted
in dialog window moving focus from Button to text causes text to be highlighted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnome (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
bzcl34nup
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 20:31 EDT by Jens Petersen
Modified: 2009-01-12 10:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:52:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2007-09-04 20:31:12 EDT
Description of problem:
Not sure if this is actually a library bug (or a gtk2 bug?) or a recurring
bug in various applications, but I find it annoying that in an About
dialog say if one presses the Up key with widget focus on the Ok button
the dialog text gets highlighted.  Well maybe it is a feature that the
dialog text can be selected but it would be better IMHO if that could
only be done with the mouse say.  Or am I totally off the mark here?

Additional info:
This also happens in F7 so this is not really a new regression or anything
more an RFE for change of behaviour.  ICBW but did this behaviour change
sometime in the past?
Comment 1 Paul Howarth 2007-09-05 03:56:35 EDT
You know gnome-libs is the GTK1/Gnome1 compatibility library and not something
that any current app uses, right?
Comment 2 Jens Petersen 2007-09-06 03:51:17 EDT
oops, thanks
Comment 3 Bug Zapper 2008-04-04 09:45:23 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Jens Petersen 2008-04-14 21:29:25 EDT
Just tried again in rawhide - at least it is possible to highlight
parts of About text with the mouse.
Comment 5 Bug Zapper 2008-11-26 02:45:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-08 23:52:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jens Petersen 2009-01-12 00:07:23 EST
Still happens with current rawhide.

Any comment on the behaviour before I attempt to file upstream?
Comment 8 Ray Strode [halfline] 2009-01-12 10:16:07 EST
it's a gtk feature.  Labels can be marked selectable.  Moving upstream is probably right if you want to see the behavior changed.

Note You need to log in before you can comment on or make changes to this bug.